OneLineFormatter (Apache Tomcat 9.0.37 API Documentation)

org.apache.juli

## Class OneLineFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.apache.juli.OneLineFormatter

-     public class OneLineFormatter
      extends Formatter

  Provides same information as default log format but on a single line to make it easier to grep the logs. The only exception is stacktraces which are always preceded by whitespace to make it simple to skip them.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OneLineFormatter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addTimestamp(StringBuilder buf, long timestamp)`
    `String` | `format(LogRecord record)`
    `String` | `getTimeFormat()` Obtain the format currently being used for time stamps in log messages.
    `void` | `setTimeFormat(String timeFormat)` Specify the time format to use for time stamps in log messages.

    - ### Methods inherited from class java.util.logging.Formatter

      `formatMessage, getHead, getTail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OneLineFormatter

          public OneLineFormatter()

  - ### Method Detail

    - #### setTimeFormat

          public void setTimeFormat(String timeFormat)

      Specify the time format to use for time stamps in log messages.
      Parameters:
        `timeFormat` - The format to use using the `SimpleDateFormat` syntax

    - #### getTimeFormat

          public String getTimeFormat()

      Obtain the format currently being used for time stamps in log messages.
      Returns:
        The current format in `SimpleDateFormat` syntax

    - #### format

          public String format(LogRecord record)

      Specified by:
        `format` in class `Formatter`

    - #### addTimestamp

          protected void addTimestamp(StringBuilder buf,
                                      long timestamp)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.